%define module stapler

Name:           pdf-stapler
Version:        0.3.3
Release:        %mkrel 1
Summary:        Tool for manipulating PDF documents from the command line
License:        BSD
Group:          Publishing
URL:            https://github.com/hellerbarde/stapler
# tarball come from commit on 20190416
Source0:        https://pypi.io/packages/source/s/stapler/%{module}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  python2dist(setuptools)

Requires:       python-more-itertools
Requires:       python-pkg-resources
Provides:       python2-staplelib = %{version}-%{release}

%description
pdf-stapler is a package for stapler, the opensource python
project which provides a commandline tool that staples, deletes,
concatenates and shuffles documents in the Portable Document Format
(PDF). It is a pure Python alternative to PDFtk.

%prep
%setup -q -n %{module}-%{version}

%build
%py2_build

%install
%py2_install

%files
%doc README.rst TODO
%doc LICENSE
%{_bindir}/%{name}
%{_bindir}/%{module}
%{python2_sitelib}/staplelib/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info


%changelog
* Fri May 03 2019 tex 0.3.3-1pclos2019
- initial package pdf-stapler

